curl --request GET \
--url https://api.novig.com/nbx/v2/emm/transactionsimport requests
url = "https://api.novig.com/nbx/v2/emm/transactions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.novig.com/nbx/v2/emm/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"amount": 1738.42,
"type": "DEPOSIT",
"currency": "COIN",
"createdAt": "2023-10-05T12:00:00Z",
"orderId": "123e4567-e89b-12d3-a456-426614174000",
"parlayId": "123e4567-e89b-12d3-a456-426614174001",
"marketId": "123e4567-e89b-12d3-a456-426614174002"
}
]Get user transactions
Get a detailed history of all transactions made by the user, satisfying the provided parameters. Results are limited to a maximum of 256 items per request (default 100).
Rate limit: 16 requests/second burst, 256 requests/minute sustained.
Query Parameters
Currency of the transaction
CASH, COIN Number of transactions to return (max 256, default 100)
x <= 256Offset of the transactions to return
Beginning timestamp for filtering transactions (UTC)
End timestamp for filtering transactions (UTC)
Type of the transaction
REALIZED_PNL, ORDER_PLACED, ORDER_CANCEL, ORDER_REJECT, SETTLEMENT, RESETTLEMENT, PRICE_IMPROVEMENT, PUSH, VOID, WASH, ADJUSTMENT Response
Successfully retrieved user transactions.
The unique identifier of the transaction
"123e4567-e89b-12d3-a456-426614174000"
The amount of the transaction
1738.42
The type of transaction
"DEPOSIT"
The currency of the transaction
"COIN"
The timestamp when the transaction was created
"2023-10-05T12:00:00Z"
The associated order ID, if applicable
"123e4567-e89b-12d3-a456-426614174000"
The associated parlay ID, if applicable
"123e4567-e89b-12d3-a456-426614174001"
The associated market ID, if applicable
"123e4567-e89b-12d3-a456-426614174002"